Packages - Housekeeping #2400

[lightspark][gnash-gtk] Dependencies
2019-07-23 07:03 PM - Anonymous

Status: fixed % Done: 0%
Priority: wish

Assignee: bill-auger

Category:

Description

When installing lightspark, | saw the following message:

‘gnash-gtk: Gnash fallback support’

gnash-gtk is missing in Parabola. Maybe, add it?

Also, IIRC gtk2 dependency was removed from Lightspark.

Related issues:

Related to Packages - Bug #2401: [lightspark] Rebuild request fixed
Related to Packages - Bug #1845: [gnash-git][lightspark]: Unresolvable depend... open

History

#1 - 2019-07-23 07:12 PM - bill-auger

- Priority changed from bug to wish

- Assignee set to bill-auger

- Status changed from open to forwarded upstream

- Tracker changed from Packaging Request to Housekeeping

the main problem i found with lightspark now is that it will not compile with LLVM v7 or v8 - it only compiles with LLVM v6; which is likely to be

deprecated from arch soon - the future of this package is mainly in the hands of upstream now

i will re-package it with the changes suggested in this BR; but it could as well become un-maintainable otherwise

https://github.com/lightspark/lightspark/issues/358

#2 - 2019-07-23 07:29 PM - bill-auger
- Related to Bug #2401: [lightspark] Rebuild request added

#3 - 2019-07-23 07:34 PM - bill-auger

- Status changed from forwarded upstream to in progress

#4 - 2019-09-22 08:40 PM - bill-auger
- Related to Bug #1845: [gnash-git][lightspark]: Unresolvable dependencies added

#5 - 2019-09-22 09:31 PM - bill-auger

- Status changed from in progress to fixed

'lightspark’ no longer requires gtk2; but i needed to add back 'cairo’' and 'pango’

the upstream has released 0.8.2 which compiles successfully with LLVMv8 (issue #2401); so it's dependencies are satisfied now for the foreseeable

future

the optional 'gnash-gtk' package was removed from the repos, though i could find no discussion nor explanation of why - as i understand from
packaging 'lightspark’, that it can only play files encoded with the newest versions of flash, and uses gnash to play files targeting the older versions - if
that is the case, then neither program is complete without the other; and either they should both exist in the repos or neither should - for that reason, i
suggest that gnash be brought back into the repos and made a hard dependency of 'lightspark’, until someday if it is determined that neither one of

them is useful to anyone
